# コマンドラインインストレーション

Insight Studentのアプリケーションでは、コマンドラインオプションを利用してインストールプロセス時に製品の設定をすることができます。これらのオプションは、様々なデプロイメントツールと使用してユーザーの介入なしでシステムにStudentアプリケーションをプッシュすることができます。

| コマンドライン オプション:                 | 説明                                                                                                                                                                                                                                                                       |
| ------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `/classID <value>`             | インストール時にデフォルトのクラスIDを指定した値に設定します。値は任意の英数字で構成されたクラスIDとすることができます。                                                                                                                                                                                                           |
| `/requireStudentPermission`    | インストールプロセス中にこのオプションを設定することで生徒の承認を必要とするようにInsightが設定されます。                                                                                                                                                                                                                 |
| `/installbrowserextension`     | このオプションを設定することで生徒のシステムにブラウザ拡張機能がインストールされます。                                                                                                                                                                                                                              |
| `/enableWebHistory`            | このオプションを設定することで生徒の機器でInsightがウェブ履歴を追跡する機能が有効になります。                                                                                                                                                                                                                       |
| `/disableKeyLogging`           | このオプションを設定することでクライアントシステム上でInsightによるキーストロークの記録が無効になります。                                                                                                                                                                                                                 |
| `/studentCanChangeClassId`     | このオプションを設定することで生徒がInsight内でクラスIDを変更することができるようになります。                                                                                                                                                                                                                      |
| `/hideSysTrayIcon`             | このオプションを設定することでシステムトレイ上でInsightのアイコンが非表示になります。                                                                                                                                                                                                                           |
| `/restrictWiFi`                | このオプションを設定することでシステムが接続できるワイヤレスネットワークに制限を設けることができるようになります。                                                                                                                                                                                                                |
| `/authorizedWiFiSSIDs <value>` | このオプションを設定することでシステムが接続可能なワイヤレスネットワークのSSIDを指定することができます。SSIDは、それぞれカンマ区切りで入力して指定する必要があります。                                                                                                                                                                                  |
| `/sharedSecret <value>`        | <p>このオプションは、［アクセストークン］として指定された値を使用し、［プライベートモード］を活用するようInsightを設定します。</p><p> </p><p>例:</p><p><code>/sharedSecret Password123</code></p>                                                                                                                                   |
| `/adminPwd <value>`            | このオプションはコマンドラインスイッチの後に指定された値を使用してクライアントシステム上で管理者パスワードを設定します。                                                                                                                                                                                                             |
| `/connectorServer <value>`     | <p>このオプションは、Insight Studentが指定されたIPアドレス、ホスト名、またはFQDNに位置するInsight Connectorと通信するための設定です。</p><p> </p><p>例:</p><p><code>/connectorServer insight</code></p><p><code>/connectorServer 192.168.1.10</code></p><p><code>/connectorServer insight.example.domain.com</code></p> |
| `/suppressreboot`              | このオプションは、Insight Studentがインストールされた後にクライアントシステムが再起動することを抑制します。Insightは、インストールプロセス後にクライアント機器が再起動されるまで完全に有効な状態にはならない場合があります。                                                                                                                                                |

実行可能ファイル（.exe）を使用してInsight Studentをインストールする場合のインストールコマンドラインの例を以下に示します。

`InsightInstallerStudent.exe /classid Class101 /adminPwd Password123 /sharedSecret superiorsiegeweapon /installbrowserextension /enableWebHistory /connectorServer insight.example.domain.com /suppressreboot`

MSIインストーラを使用してInsight Studentをインストールする場合のインストールコマンドラインの例を以下に示します。

`MSIEXEC.exe /I "msi Path" /qn` `CMDLINE="/classId Class101 /requireStudentPermission /disableKeyLogging /studentCanChangeClassId /hideSysTrayIcon /adminPwd Password123 /installBrowserExtension /enableWebHistory""`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.faronics.com/faronics-insight-docs/japanese/insutorshonto/insutru/windowshenoinsutru/delete-copy-of-insight-studentnoinsutru/komandoraininsutorshon.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
